package ru.dbotthepony.mc.otm.datagen.loot

import net.minecraft.world.item.Items
import net.minecraft.world.level.storage.loot.entries.LootItem
import net.minecraft.world.level.storage.loot.parameters.LootContextParamSets
import net.minecraft.world.level.storage.loot.providers.number.ConstantValue
import ru.dbotthepony.mc.otm.datagen.modLocation
import ru.dbotthepony.mc.otm.registry.MItems

fun addChestLootTables(loot: LootTables) {
	loot.builder(LootContextParamSets.CHEST, modLocation("food_box")) {
		lootPool {
			item(Items.PACKED_ICE) { setCount(minimal = 1, maximal = 3) }
			item(MItems.NUTRIENT_PASTE) { setCount(minimal = 1, maximal = 2) }
			item(Items.SNOWBALL) { setCount(minimal = 1, maximal = 5) }

			setRolls(3)
		}
	}
}
